//
//  XTHtmlTagFont.m
//  TadsTerp
//
//  Created by Rune Berg on 20/08/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagFont.h"
#import "XTOutputFormatterProtocol.h"


@implementation XTHtmlTagFont

+ (NSString *)name
{
	return @"font";
}

+ (BOOL)standalone
{
	return NO;
}

+ (BOOL)blockLevel
{
	return NO;
}

//TODO + (NSArray *)allowedAttributes FACE SIZE COLOR
// size: A number from 1 to 7 that defines the size of the text. Browser default is 3.

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagFont:self];
}

@end
